ConversionInstruction (Apache Commons BCEL 6.4.1 API)

org.apache.bcel.generic

## Class ConversionInstruction

- java.lang.Object
- - org.apache.bcel.generic.Instruction
  - - org.apache.bcel.generic.ConversionInstruction

- All Implemented Interfaces:
    Cloneable, StackConsumer, StackProducer, TypedInstruction
  Direct Known Subclasses:
    D2F, D2I, D2L, F2D, F2I, F2L, I2B, I2C, I2D, I2F, I2L, I2S, L2D, L2F, L2I

      public abstract class ConversionInstruction
      extends Instruction
      implements TypedInstruction, StackProducer, StackConsumer

  Super class for the x2y family of instructions.

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.generic.Instruction

      `length, opcode`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConversionInstruction(short opcode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Type` | `getType(ConstantPoolGen cp)`

    - ### Methods inherited from class org.apache.bcel.generic.Instruction

      `accept, consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, hashCode, initFromFile, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.bcel.generic.StackProducer

      `produceStack`

    - ### Methods inherited from interface org.apache.bcel.generic.StackConsumer

      `consumeStack`

- - ### Constructor Detail

    - #### ConversionInstruction

          protected ConversionInstruction(short opcode)

      Parameters:
        `opcode` - opcode of instruction

  - ### Method Detail

    - #### getType

          public Type getType(ConstantPoolGen cp)

      Specified by:
        `getType` in interface `TypedInstruction`
      Returns:
        type associated with the instruction

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.